<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Taller 4</title>
</head>
<body>
    <script>
        function hora(){
            var hora = new Date();
            var enseg = ((hora.getHours()*3600) + (hora.getMinutes()*60) + hora.getSeconds());
            alert ("La hora actual en segundos es "+ enseg);
        }
        hora()
        function area(){
            var b = parseInt(prompt("Ingrese la base"));
            var a = parseInt(prompt("Ingrese la altura"));
            alert ("Su área del triangulo es " + ((b * a)/2));
        }
        area();
        function raiz(){
            var r = parseInt(prompt("Ingrese un número impar "));
            var resul = Math.sqrt(r);
            alert ("La raíz del numero ingresado es " + resul.toPrecision(3));
        }
        raiz();
        function cadtex(){
            var mensaje =prompt("Ingrese un mensaje ");
            alert("La longitud de su mensaje es de: " +mensaje.length);
        }
        cadtex();
        function Vnavegador(){
            alert("Version del navegador: "  + navigator.appVersion);
        }
        Vnavegador();
        function pantalla(){
            alert("Altura: " + screen.height + "  Anchura:  " + screen.width );
        }
        pantalla();
        function impr(){
            window.print();
        }
        impr();
    </script>
</body>
</html>